abiword (3.0.2-6+9.0trisquel1) etiona; urgency=medium

  * Remove google-search plugin and non-free fonts references.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 07 Jul 2022 20:35:01 +0000

abiword (3.0.2-6) unstable; urgency=medium

  * QA upload.
  * Compile with --with-gnomevfs to fix CVE-2017-17529
    (Closes: #884923).
  * Bump to debhelper compat 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Update Vcs-* to reflect the move to Salsa.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Mar 2018 04:41:01 -0500

abiword (3.0.2-5) unstable; urgency=medium

  * QA upload.
  * Fix build with libical3. Closes: #883924.
  * Add explicit build dependency on libical-dev (>= 3.0).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2017 09:37:43 +0100

abiword (3.0.2-4) unstable; urgency=high

  [ Simon Quigley ]
  * QA upload.
  * Fix flickering (Closes: #851052, #848838) (LP: #1574278).

  [ Jeremy Bicha ]
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 30 Sep 2017 16:49:32 -0400

abiword (3.0.2-3) unstable; urgency=medium

  [ Simon Quigley ]
  * QA upload.
  * Run wrap-and-sort to clean up the package a bit.
  * Bump Standards-version to 4.0.0, no changes needed.
  * Modify debian/rules to use instead of dpkg-parsechangelog.
  * Add Multi-Arch: same for abiword-plugin-grammar.
  * Solve binary file conflict between abiword-dbgsym
    and abiword-plugin-grammar-dbgsym (Closes: #868537).

  [ Jeremy Bicha ]
  * Rename gir1.2-abiword-1.0 to gir1.2-abi-1.0 to fix Lintian warning.
  * Have libabiword-3.0-dev depend on gir package.

  [ Mattia Rizzolo ]
  * Rename libabiword-3.0-dev to libabiword-dev, to better comply to
    Debian Policy § 8.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 30 Jul 2017 14:58:05 -0500

abiword (3.0.2-2) sid; urgency=high

  * Add gtk322.patch:
    - Upstream patch to fix black background with GTK 3.22
      (Closes: #842443) (LP: #1637893)
  * Bump dh compat to 10
  * debian/control:
    - Build-depend on libtool-bin for dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Dec 2016 15:13:02 -0500

abiword (3.0.2-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * Drop patches applied in new version
  * Add Multi-Arch fields suggested by the multi-arch hinter

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2016 17:20:53 -0400

abiword (3.0.1-8) unstable; urgency=medium

  * QA upload.
  * debian/source/options:
    - Drop obsolete xz compression option, this is default since Jessie
  * Build-depend on liblink-grammar-dev instead of liblink-grammar4-dev
  * Backport patches from stable 3.0 branch to build with link-grammar 5:
    - 0011-Bug-13650-Fix-build-with-recent-link-grammar-patch-f.patch
    - 0012-Bug-13726-Fix-Grammar-plugin-build-with-link-grammar.patch
  * debian/control:
    - Mention that the grammar plugin only supports English currently

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 16 Jun 2016 05:47:15 -0400

abiword (3.0.1-7) unstable; urgency=low

  [ Jeremy Bicha ]
  * QA upload.
  * abiword-common.install:
    - Install telepathy client. Fixes Abiword autostarting a blank
      document on log in. Thanks Alban Browaeys for identifying the cause.
      (Closes: #781764) (LP: #1432271)
  * Backport patches from stable 3.0 branch:
    - 0001_export-paragraph-to-odt.patch
    - 0002_svg-printing.patch (Closes: #682668)
    - 0003_null-column-crash.patch
    - 0004_apply-default-header-style.patch
    - 0005_language-dialog-scroll.patch (LP: #1484785)
    - 0006_protect-against-null-string.patch
    - 0007_gtk-image-scaling.patch
    - 0008_do-nothing-with-unchecked-radio-buttons.patch
    - 0009_clean-svg-icon.patch
    - 0010_fix-parallel-build.patch
  * debian/patches/build-with-aiksaurus-1-2.patch:
    - Look for aiksaurus*-1.2.pc (because that's what is provided in Debian)
    - Note that the Aiksaurus plugin is not installed because Aiksaurus
      is still GTK2
  * debian/control: Bump minimum aiksaurus version to match the above patch
  * Drop obsolete packaging:
    - .menu and .xpm files
    - build-dependencies (gtk2, imagemagick and svn)
    - old README.Debian note about abiword-gnome
    - abiword.preinst: defoma is long gone
    - mimeinfo: replaced by MimeType in .desktop
    - Use automatic dbsym packages instead of manual abiword-dbg package
    - Use dh_strip --dbsym-migration and build-depend on required debhelper
  * Re-enable parallel builds on Linux
  * Explicitly build with all hardening flags
  * Bump Standards-Version to 3.9.8

  [ Gianfranco Costamagna ]
  * VCS in secure mode
  * Drop quilt from b-d

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 26 May 2016 19:55:18 -0400

abiword (3.0.1-6) unstable; urgency=medium

  * QA upload.
  * Build-depend on libboost-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2016 21:18:28 +0100

abiword (3.0.1-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libpng16 (closes: #809882)
  * Use default gnutls cipher/kx priorities, fixes FTBFS with gnutls30.
  * Fix FTBFS with gcc-6 (closes: #811381)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 23 Jan 2016 21:21:21 +0100

abiword (3.0.1-4) unstable; urgency=medium

  * QA upload.
  * Stop build mathview plugin: GtkMathView is too old and buggy
    (see bug#785485).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Aug 2015 21:33:33 +0200

abiword (3.0.1-3) unstable; urgency=medium

  * QA upload.
  * build against libwps 0.4.0 (closes: #788970)

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Jun 2015 20:36:49 +0200

abiword (3.0.1-2) unstable; urgency=medium

  * QA upload.

  [ Dmitry Smirnov ]
  * rules: cleanup: dropped obsolete customisations, get-orig-source,
    etc.

  [ Jonas Smedegaard ]
  * Enable introspection (and instead avoid parallel build so be on the
    safe side: rumored to be incompatible).
    Closes: bug#785688.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 10:02:43 +0200

abiword (3.0.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release [December 2014].
  * Dropped obsolete patches and lintian-overrides.
  * Install missing files under "usr/share/abiword-3.0".
  * Changed icon installation path.
  * Updated "debian/copyright".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Jan 2015 11:03:35 +1100

abiword (3.0.0-8) unstable; urgency=medium

  * QA upload.
  * Apply an upstream patch to fix format painter bug. (Closes: #766845).

 -- Edward Betts <edward@4angle.com>  Thu, 04 Dec 2014 22:00:10 +0000

abiword (3.0.0-7) unstable; urgency=medium

  * Build-Depends: libjpeg8-dev --> libjpeg-dev (Closes: #763464).
    Facilitates transition to "libjpeg-turbo". Thanks, Ondřej Surý.
  * Standards-Version: 3.9.6.
  * Orphaning package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Oct 2014 19:57:42 +1000

abiword (3.0.0-6) unstable; urgency=medium

  [ Rene Engelhard ]
  * Add "librevenge.patch" (from Fedora 20) to fix build with new
    librevenge/libwp{,g} 0.3 and adapt Build-Depends;
    Add exta dh_autoreconf calls for plugins/wpg and plugins/wordperfect
    dirs so they get generated (and dh_autoreconf_clean).

  [ Dmitry Smirnov ]
  * Added "debian/gbp.conf".
  * Standards-Version to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Aug 2014 11:14:12 +1000

abiword (3.0.0-5) unstable; urgency=medium

  * Build-Depends: +libgcrypt20-dev.
  * New patch to fix gnutls-related FTBFS (Closes: #754554);
    Thanks, Andreas Metzler.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Jul 2014 03:13:18 +1000

abiword (3.0.0-4) unstable; urgency=medium

  * New patch to fix FTBFS with libboost1.54 (Closes: #737551).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 06 Feb 2014 04:25:45 +1100

abiword (3.0.0-3) unstable; urgency=medium

  * Upload to unstable (Closes: #677402, #705145).
  * New patch to fix FTBFS with bison v3 (Closes: #733391).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Feb 2014 20:49:49 +1100

abiword (3.0.0-2) experimental; urgency=low

  * No longer Build-Depends on "valgrind" on "armel" (Closes: #729137).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Nov 2013 08:11:33 +1100

abiword (3.0.0-1) experimental; urgency=low

  * New upstream stable release [October 2013].
  * Transition: evolution-data-server (Closes: #722030)
    + new "evolution-data-server3.8.patch".
    + versioned Build-Deps:
      + libebook1.2-dev (>= 3.8.5)
      + libecal1.2-dev (>= 3.8.5)
    Thanks, Michael Biebl.
  * "debian/watch": no longer check development releases.
  * "debian/rules":
    + better checking for library name
    + adaptive dh-clean to facilitate build from source archive and from
      repository checkout.
    + export LDFLAGS using DEB_LDFLAGS_MAINT_APPEND.
  * Removed libgoffice note from README.Debian as abiword is linked with
    libgoffice again.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2013 15:38:08 +1100

abiword (3.0.0~svn20130523-2) experimental; urgency=low

  * Re-build to facilitate "libcogl" transition (Closes: #721196).
  * libabiword-3.0-dev: added missing Depends (Closes: #711088).
  * (Build-)Depends:
    + versioned depends only when required.
    + sort and update.
  * Added lintian-override for "library-not-linked-against-libc"
    in plugins.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Sep 2013 03:55:10 +1000

abiword (3.0.0~svn20130523-1) experimental; urgency=low

  * New upstream pre-release [r33076].
  * Dropped all backported patches.
  * Dropped unused lintian-overrides.
  * Removed obsolete "DM-Upload-Allowed" field.
  * Build-Depends:
    + libchamplain-gtk-0.12-dev
    + libebook1.2-dev
    + libecal1.2-dev
    + libgoffice-0.10-dev (>= 0.10.2)
  * Standards to version 3.9.4.
  * Updated copyright, added translator's copyrights.
  * Updated and improved rules and get-orig-source
    + added pre-build check for library version.
    + build "--with-goffice" and "goffice" plugin.
  * Replaced "-2.9" with "-*" in install paths.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Jun 2013 15:04:42 +1000

abiword (2.9.2+svn20120603-8) unstable; urgency=medium

  * new backported patch to fix yet another crash on open .DOC files.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 05 Oct 2012 10:54:53 +1000

abiword (2.9.2+svn20120603-7) unstable; urgency=low

  * new backported patches:
    + r31854_bug-13397-RTF-import-fix-missing-text.patch
      to fix missing numbers in beginning of lines on RTF/DOC import
      (Closes: #688552).
    + r31855_gtk3-bug-13405.patch
    + r31877_start-layout-only-after-document-is-fully-loaded.patch
    - removed unused (duplicate) patch file.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 24 Sep 2012 11:10:44 +1000

abiword (2.9.2+svn20120603-6) unstable; urgency=low

  * debian/watch to find all available versions with fallback to latest-dev.
  * new patch to fix collab backend if built --with-gtk2 and to fix FTBFS
    without libgtk-3-dev (finally abiword can be built for GTK2).
  * new backported patches:
    + r31861_fix-FTBFS-with-fake-collab-backend.patch
    + r31901_fix-crash-on-open-doc-with-table-in-header.patch
    + r31909_fix-doc-corruption.patch
    + r31910_fix-memory-leak-in-ABW-exporter.patch
    + r31914_fix-clip-art-window.patch (Closes: #672150)
  * beautified list of Build-Depends.
  * libchamplain-gtk-0.12-dev (optional build-dependency) is added to
    Build-Depends (commented, to conform with freeze policy).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Sep 2012 13:08:48 +1000

abiword (2.9.2+svn20120603-5) unstable; urgency=low

  * xz compression for binary packages.
  * new backported patch to fix gtk3 presentation (Closes: #682613).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 30 Aug 2012 13:24:15 +1000

abiword (2.9.2+svn20120603-4) unstable; urgency=low

  * new backported patches:
    + r31490_fix-crash-if-inserting-a-footnote.patch
    + r31566_rearrange-date-and-time-formats.patch
    + r31576_remove-separator-from-insert-dialogs.patch
    + r31748_fix-crash-with-copy-paste.patch
    + r31749_fix-bug-with-copy-paste.patch
    + r31753_fix-crash-on-paste.patch
    + r31755_fix-crash-with-create-and-modify-styles-dialog.patch
    + r31767_fix-possible-crash.patch
    + r31768_correct-horizontal-scroll-limit.patch
    + r31842_fix-crash-13401.patch
    + r31843_prevent-crash.patch
    + r31847_fix-program-hanging-during-paste-unformatted.patch
  * old backported patches are renamed to have revision number in file name.
  * lintian-override for 'no-symbols-control-file' (not useful for CPP).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 24 Aug 2012 11:09:56 +1000

abiword (2.9.2+svn20120603-3) unstable; urgency=low

  * Replace no-dbl-buf.patch with backported fix-dbl-buff.patch
    to fix 'Paste Unformatted' and re-enable double buffering.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 17 Aug 2012 20:16:51 +1000

abiword (2.9.2+svn20120603-2) unstable; urgency=low

  * build verbosity increased with --disable-silent-rules
  * lintian-overrides:
    + 'hardening-no-fortify-functions' (false-positives).
    + 'dev-pkg-without-shlib-symlink' (libabiword-2.9.so is a library,
      not a symlink).
  * new patches:
    + format-hardening.patch to avoid FTBFS on --with-gtk2 build.
    + fix-wheel-scrolling.patch (Closes: #672149).
    + fix-paste.patch (backported) with fix for
      "Crash on unicode character paste" (Closes: #681060).
    + no-dbl-buf.patch to disable double buffering in order to prevent
      crash on 'Paste Unformatted'.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 17 Aug 2012 11:08:23 +1000

abiword (2.9.2+svn20120603-1) unstable; urgency=low

  * New upstream version based on 'trunk' r31326 as of 2012-06-02
    + updated man page
    + updated translations
    + fixed crash on text selection (Closes: #672412)
    + fixed crash with 'borders and shading' (Closes: #672148)
  * depends on 'fonts-lyx' instead of transitional 'ttf-lyx'
    (Closes: #674820)
  * dropped debian/copyright.hints and its generation code
  * new patch to avoid FTBFS in 'grammar' plugin
  * minor make-clean.patch update
  * Debian source compression to .xz
  * DM-Upload-Allowed: yes! (Thanks to Aron Xu)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 06 Jun 2012 03:37:53 +1000

abiword (2.9.2+svn20120406-1) unstable; urgency=low

  * New upstream version based on 'trunk' r30779 as of 2012-04-05
    (Closes: #666491 N:"document totally crashes abiword...")
    • dropped FTBFS-regression.patch (applied-upstream)
    • dropped gnomeoffice-url.patch (applied-upstream)
  * d-rules: get correct number of CPUs for parallel build on Linux
    (Closes: #665853 W:"Build process not is paralleled on some Linux
     architectures")
  * minor update to get-orig-source to produce cleaner ©.hints file

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 07 Apr 2012 14:40:54 +1000

abiword (2.9.2+svn20120215-2) unstable; urgency=low

  * d-copyright:
    + audit of upstream copyrights/licenses;
    + added copyrights of debian contributors
    + DEP-5 URL is updated
  * copyright.hints and 'licensecheck' target
    to track upstream copyright/licensing changes
  * d-control:
    + build-deps: transition from 'libpng12-dev' to 'libpng-dev'
      (Closes: #662262 I:"Build-Depends on libpng-dev..."
    + standards to 3.9.3
    + 'flex' moved to build-deps from build-deps-indep
      to always rebuild arc-independent files
  * d-rules: build with '+bindnow' hardening

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 05 Mar 2012 15:11:31 +1100

abiword (2.9.2+svn20120215-1) unstable; urgency=low

  * New Upstream Release, based on 'trunk' version as of 2012-02-14
  * dropped hardening-format.patch (applied upstream)
  * patch to fix dangerous regression causing FTBFS on GNU Hurd
  * debian/watch is corrected to mangle/ignore subversion number

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 19 Feb 2012 19:40:39 +1100

abiword (2.9.2+svn20120213-1) unstable; urgency=low

  * New Upstream Release, based on 'trunk' version as of 2012-02-12
    (Closes: #659658 "segfaults on powerpc")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 17 Feb 2012 21:11:38 +1100

abiword (2.9.2+svn20120131-1) unstable; urgency=low

  * New Upstream Release, based on 'trunk' version as of 2012-01-30
  * compat & debhelper to version 9
  * updates for multi-arch
  * .xpm icon generated with imagemagick on build time
  * make-clean patch is updated to prevent breakage in trunk source tree
  * enabled format hardening thanks to new format hardening patch
    (applied upstream)
  * arch-dependent patching redone in GNU Make style
  * get-orig-source split in GNU Make style
  * orig.source compression to xz
  * added some build-time information print-out

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 06 Feb 2012 19:40:51 +1100

abiword (2.9.2+svn20120123-1) unstable; urgency=low

  * New Upstream Release, based on 'trunk' version as of 2012-01-23
    (Closes: #657287 "very slow start with many fonts installed")
  * Added upstream ChangeLog
  * Drop FTBFS patch for GNU/Hurd (accepted upstream)
  * Drop 656335-telepathy.patch (not needed in trunk)
  * Disabled make-clean.patch (not needed in trunk)
  * Disabled old fix-format-security.patch (needs update)
  * Patch to update Gnome Office URL (Closes: #657909)
  * Recommend fonts-liberation instead of ttf-liberation
  * flex added to Build-Depends-Indep to force regeneration of lex.yy.c
  * subversion(-tools) added to Build-Depends to satisfy get-orig-source
  * debian/rules:
    + get-orig-source modified for SVN
    + --enable-collab-backend-sugar
    + --with-redland
    + safer defaults for parallel build
  * Bugs squashed:
    - (Closes: #582225 "Abiword hangs/freezes when trying to embed
       Gnumeric file")
    - (Closes: #650302 "When changing principal direction of bidi text,
       it gets reversed and then cursor skips)
    - (Closes: #456624 "renders Khmer Unicode as small circles unless a
       Khmer font is applied")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 27 Jan 2012 19:21:11 +1100

abiword (2.9.2-5) unstable; urgency=low

  * debian/control: removed unnecessary build-deps
  * debian/rules: check if flex is available to regenerate
    plugins/mathview/itex2mml/lex.yy.c

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 25 Jan 2012 16:21:31 +1100

abiword (2.9.2-4) unstable; urgency=low

  * FTBFS4Hurd.patch is updated.
  * force build-time regeneration of binary files shipped with sources
    + 'bison' added to Build-Depends
  * patch to prevent abiword from breaking its own source tree
    (prevent failure on second build)
  * arch-specific patch no longer break second build

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 21 Jan 2012 12:20:09 +1100

abiword (2.9.2-3) unstable; urgency=low

  * debian/abiword.mime: added missing end-of-line
    (Closes: #623136) Thanks to Kalle Olavi Niemitalo <kon@iki.fi>
  * VCS links updated to point to collab-maint
  * Build options updated:
    + new plugin: epub
    + new backend: telepathy (Closes: #656335) Thanks to Svante Signell
      (implemented with patch to add missing upstream file from trunk)
    + --with-libtidy to clean up HTML before importing (MHT plugin)
    - removed --enable-static (no longer build static libraries)
    - removed --enable-shave (use --enable-silent-rules instead)
    + added --enable-silent-rules
    + added --enable-dependency-tracking (speed up build)
  * new abiword-dbg package (Closes: #562733)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 19 Jan 2012 19:31:11 +1100

abiword (2.9.2-2) unstable; urgency=low

  * libabiword-2.9-dev Depends (Closes: #656252)
  * fixed debian/patches/series
  * fixed arch-dependent patching (Closes: #648153)
  * safer parallel build

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 19 Jan 2012 03:13:36 +1100

abiword (2.9.2-1) unstable; urgency=low

  * New Upstream Release (2011-11-14)
  * New maintainer (Closes: #648341)
  * Packaging update
    + standards to recent versions
    - completely dropped CDBS, in favour of debhelper
    + parallel build
    + --as-needed to minimize needless linking
    + dh-autoreconf replaced old patches for make files
    + use dpkg-provided build flags + hardening
    + build-depends update (Closes: #655308)
      - dropped libgoffice dependency (to package latest abiword 2.9.2)
      + added note to README.Debian
    + debian/copyright to DEP-5 format
    + revised mime-types-desktop patch (Closes: #608164)
    + new patch to disable smooth scrolling (Closes: #624095)
    + new patch (only applied on Hurd) to fix GNU Hurd build problem
      (Closes: #648153) (Thanks to Svante Signell)
    + debian/watch is updated
    - README.source is removed

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 21 Nov 2011 01:58:27 +1100

abiword (2.9.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop Build-Depends on obsolete libgucharmap2-dev. Closes: #648026

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2011 13:06:45 +0100

abiword (2.9.1-0.1) unstable; urgency=low

  [ Hector Oron ]
  * New upstream release.
  * Fix plugin license incompatibility introduced in NMU
    abiword/2.8.6-0.1 (Closes: #602687).
  * Merge diff for NMU version 2.8.6-0.3 (Closes: #613294).
  * Build depend on libgsf-1-dev, librasqal3-dev, librdf0-dev.
  * Fix bogus build depend on libwpd8-dev to libwpd-dev.
  * Fix build with hardening flags (format-security).
  * Refresh fix_no_undefined patch.

  [ Patrik Fimml ]
  * New upstream release (closes: #577733)
  * Do not ship libtool .la file (Policy 10.2)
  * Remove build-dependency on libaspell-dev (closes: #570647)
  * Switch to 3.0 (quilt) source package format

 -- Hector Oron <zumbi@debian.org>  Thu, 20 Oct 2011 01:00:54 +0000

abiword (2.8.6-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping .la files. Closes: #33314.
  * Pass -Wl,--no-undefined instead of --no-undefined. Closes: #628267.

 -- Regis Boudin <regis@debian.org>  Wed, 24 Aug 2011 20:50:05 +0100

abiword (2.8.6-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * by request of the release team: disable psion plugin, as it blocks
    this package

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Feb 2011 22:26:18 +0100

abiword (2.8.6-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * build against libwpd 0.9.0/libwpg 0.2.0/libwps 0.2.0 (closes: #604826)
  * build-depend on libxcb-render-util0-dev

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Feb 2011 14:14:51 +0100

abiword (2.8.6-0.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * New upstream release. Fixes:
    - Can't open password protected ODT files (Closes: #577733).
    - Scrolling with cursor keys is slow (important; Closes: #498285).
    - Crash on occasions when importing OpenDocument files.
    - Crash when trying to print (important; Closes: #580346).
    - Crash on accessing Tools -> Thesaurus menu (normal; Closes: #569272).
    - Crash on saving as PDF (normal; Closes: #520424).
    - Crash on trying to access Help (normal: Closes: #586245).
    - Crash on 3 MiB RTF file (normal; Closes: #552575);
  * debian/control
    - (Standards-Version): Update to 3.9.1.
  * debian/patches
    - (fixes/svn-backports.diff): Remove. Obsoleted by new release
    - (fixes/mime-types.diff): Refresh. Move abiword.desktop changes to
      separate diff.
    - (fixes/mime-types-desktop.diff): New file.

  [  Hideki Yamane (Debian-JP) <henrich@debian.or.jp> ]
  * debian/rules
    - (CC, CXX): Remove variables.
    - (LDFLAGS): New variable. Move content from --as-needed from CC, CXX
      variable. See bug #577871 for details.
  * debian/control
    - (Build-Depends): Add flex, bison.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 20 Oct 2010 14:46:20 +0300

abiword (2.8.2-2) unstable; urgency=low

  * Move from libgoffice-0-8-dev to libgoffice-0.8-dev (see #570351,
    closes: #573653, #572043)

 -- Patrik Fimml <patrik@fimml.at>  Sat, 13 Mar 2010 13:31:40 +0100

abiword (2.8.2-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libaspell-dev (closes: 569373)
  * Move from latex-xft-fonts to ttf-lyx (closes: 539529)

 -- Patrik Fimml <patrik@fimml.at>  Sat, 13 Feb 2010 17:56:03 +0100

abiword (2.8.1-2) unstable; urgency=low

  * Ship abiword.pc (closes: #557021)
  * Tighten libasio-dev build-dependency (closes: #557037)
  * Fix goffice interface function signature mismatch (closes: #560475)
  * Build without gucharmap (buggy, dropped in trunk; closes: #556746)
  * Rewrite manpage (closes: #537988)
  * Do not build abiword-plugin-goffice

 -- Patrik Fimml <patrik@fimml.at>  Fri, 11 Dec 2009 19:11:17 +0100

abiword (2.8.1-1) unstable; urgency=low

  * New upstream release
  * Make myself maintainer (closes: #548365)
  * Documentation is now in abiword-docs, built from a separate source
    package.
  * Merge abiword-plugin-goffice into main package, as abiword requires
    goffice in any case.
  * Ship libabiword-2.8 (closes: #512777)
  * Remove dependency on libreadline5-dev (closes: #553713)
  * Drop build-dep on libgnomeprintui (closes: #542552)

 -- Patrik Fimml <patrik@fimml.at>  Tue, 03 Nov 2009 22:00:58 +0100

abiword (2.6.8-5) unstable; urgency=low

  * To make sure, -plugins are installed two times at different points
    - closes: #521223

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 26 Mar 2009 19:23:21 +0900

abiword (2.6.8-4) unstable; urgency=low

  * debian/rules: Rearranged the order of targets again, now installs
    some missing .glades.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 25 Mar 2009 22:34:35 +0900

abiword (2.6.8-3) unstable; urgency=low

  * valgrind is available only on selected architectures, and not
    really required for building abiword.  Thus, I removed it from
    Build-Depends - closes: #521030.
  * abiword-common: not depends on abiword anymore - closes: #495744
  * 04_comma_subscript.diff: seems I forgot to import this patch from
    the old package. Added.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed, 25 Mar 2009 08:54:40 +0900

abiword (2.6.8-2) unstable; urgency=low

  * The configure scripts of -docs and -extras need a working abiword
    binary at the build time, which is not available unless you've
    already installed (existing) abiword package.  To solve this
    chicken-or-egg question(especially for buildd), I rearranged the
    order of targets in debian/rules.  pbuilder is your friend
    - closes: #521074

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 24 Mar 2009 22:41:32 +0900

abiword (2.6.8-1) unstable; urgency=low

  * New upstream release.
  * Rewrote the build system with CDBS & Quilt.
  * Added Recommends: ttf-liberation - closes: #495927
  * Added Homepage: field in debian/control - closes: #508733
  * Added debian/watch - closes: #494830
  * Added CREDITS.TXT - closes: #491237
  * debian/copyright: Cleaned it up.  Now the abiword tarballs don't
    contain any source trees of external 3rd party libraries.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 22 Mar 2009 18:42:01 +0900

abiword (2.6.4-5) unstable; urgency=low

  * Fix a crash when returning from Print Preview. closes: #492211

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 19 Aug 2008 19:55:01 -0700

abiword (2.6.4-4) unstable; urgency=high

  * The "Strike three, yer out!" release.
  * Creating the dummy abiword-plugins package created yet another scenario
    where we have to remove the diversions to the desktop files created by
    the old packages.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 22 Jul 2008 22:20:21 -0700

abiword (2.6.4-3) unstable; urgency=medium

  * The "Strike two" release.
  * Creating the dummy abiword-plugins package created a scenario where
    abiword-plugin-grammar would conflict filewise with the old
    abiword-plugins package, so add a Conflicts for abiword-plugins (<< 2.6.4)
    to the grammar and mathview plugin packages.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 14 Jul 2008 17:29:27 -0700

abiword (2.6.4-2) unstable; urgency=medium

  * I disabled the "auto-save by default" patch by mistake and kept
    a "disable smooth scrolling by default" patch in that I decided
    to drop at the last minute. Fix dumb mistake.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 14 Jul 2008 12:02:50 -0700

abiword (2.6.4-1) unstable; urgency=medium

  * The "Please Ubuntu, take this package!" release.
  * New upstream stable release, incorporating many build bits from Ryan
    Pavlik. Thanks! (His Ubuntu changelogs follow this entry.)
    closes: #473508, #488069
  * Using medium priority to try and beat the freeze given the NEW delay
    that this package will incur.

  * Major changes:
    - Split out the abiword-plugins and abiword-plugins-gnome package into
      three individual plugin packages:

      Recommended: abiword-plugin-mathview, abiword-plugin-grammar
      Suggested: abiword-plugin-goffice (due to GNOME dependencies)

    - The old abiword-plugins and abiword-plugins-gnome packages have been
      obsoleted and abiword-plugins-gnome is now a Conflicts/Replaces in
      abiword. Because abiword-plugins has been split into two packages,
      though, there is a dummy abiword-plugins package to ease upgrades.

    - There is no more abiword-gnome package. We only ship the GTK2 version,
      which does depend on GNOME-Print, but that does not rely on the usual
      large set of GNOME UI libraries.

    - Many of the file import/export plugins formerly provided only by the
      abiword-plugins package are now included in the base distribution to
      provide the best out-of-box functionality for those who install only
      the abiword package. This means that no matter what, the abiword package
      now has ODF/OOXML support.

  * Minor changes:
    - Drop psiconv support overall to alleviate dependency bloat/package spam,
      at the risk of offending the one guy who still has a Psion 5.
    - Upgrade to debhelper 7 and Policy 3.8.0.
    - Drop one of Ryan's Ubuntu patches by building abiword-2.6.pc in the
      configure stage of debian/rules. Lose autoconf/automake build dep.
    - Upgrade boost build-dependency to 1.35 to quell some apt-get insanity
      while pbuilder satisfies the Build-Depends.

  * Bug fixes from upstream:
    - Print preview now matches onscreen layout more accurately.
      closes: #336216
    - Font operations are all done using Pango now, so the XAP_UnixFont
      crash should no longer occur. closes: #443048, #444957
    - Spellcheck button is no longer greyed out gratuitously. closes: #422520
    - "!!" and "??" in DejaVu Sans Mono seem to be correctly monospaced
      now. closes: #470949
    - AbiWord can now import OpenWriter files without a MIME type.
      closes: #376417
    - Build error affecting 2.4.6 was already fixed upstream, but thanks
      to Peter Green for the patch and Lucas Nussbaum for the report.
      closes: #490414

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 14 Jul 2008 10:26:14 -0700

abiword (2.6.3-0ubuntu1+ppa2) hardy; urgency=low

  * Add dh_desktop to register MIME types.
  * Update control for better upgrading.

 -- Ryan Pavlik <abiryan@ryand.net>  Mon, 26 May 2008 14:41:28 -0500

abiword (2.6.3-0ubuntu1+ppa1) hardy; urgency=low

  * Fix FTBFS due to problem in 02_add_mimetypes_to_desktop.dpatch

 -- Ryan Pavlik <abiryan@ryand.net>  Fri, 02 May 2008 18:51:01 +0200

abiword (2.6.3-0ubuntu1) hardy; urgency=low

  * Update to new upstream release.
  * Remove debian/patches/50_backport_pre263.dpatch due to update.
  * Remove debian/patches/20_disable_smooth_scrolling_default.dpatch
    based on additional feedback on modern (Hardy-class) machines.

 -- Ryan Pavlik <abiryan@ryand.net>  Thu, 01 May 2008 23:39:57 +0200

abiword (2.6.2-0ubuntu2+ppa3) hardy; urgency=low

  * Add 20_disable_smooth_scrolling_default to improve
    responsiveness by default.
  * Upload to new abiword-stable repository.
  * Fix 00list file for backport patch.

 -- Ryan Pavlik <abiryan@ryand.net>  Sun, 27 Apr 2008 12:25:45 +0200

abiword (2.6.2-0ubuntu2+ppa2) hardy; urgency=low

  * Fix FTBFS - add libpopt-dev build-dep for same reason as below.

 -- Ryan Pavlik <abiryan@ryand.net>  Tue, 22 Apr 2008 04:41:14 +0200

abiword (2.6.2-0ubuntu2+ppa1) hardy; urgency=low

  * Fix FTBFS - add libglade2-dev dependency that was being pulled
    in presumably by libgoffice, even though Abi uses it directly
    itself.
  * Add poppler-utils to recommends for PDF import.
  * Remove libgnome2-dev build-dep, not needed since GTK and GNOME
    versions were merged.

 -- Ryan Pavlik <abiryan@ryand.net>  Tue, 22 Apr 2008 01:48:37 +0200

abiword (2.6.2-0ubuntu2) hardy; urgency=low

  * Removed libgoffice build-dep due to incompatibility with 0.6 and
    0.4 (libgoffice-0-dev)'s presence only in universe
  * Removed python-dev build-dep: we never needed it.
  * Removed libpoppler build-dep: new PDF import plugin uses runtime
    binaries (pdftotxt or pdftoabw) which should be included with
    poppler.
  * Updated control file to always appropriately upgrade plugins.

 -- Ryan Pavlik <abiryan@ryand.net>  Mon, 21 Apr 2008 21:10:09 +0200

abiword (2.6.2-0ubuntu1) hardy; urgency=low

  * New upstream version and associated packaging changes.
    (LP: #202174) (LP: #36807) (LP: #56694) (LP: #3197)
  * Updated build dependencies.
  * Move all plugins without unreasonable dependencies into main
    abiword package (LP: #24195)
  * Merge abiword[-gtk], abiword-gnome, abiword-common (LP: #58662)
  * Use upstream build system to handle installation during package
    creation.
  * Eliminated duplicated "desktop" file and icon in debian/misc in
    favor of upstream.
  * Copied manpage into debian/misc due to elimination from upstream
    source.
  * Ubuntu changes dropped:
    - debian/patches/01_aaa_fix_plugins_m4.dpatch: not actually
      applied in previous package, obsoleted by upstream build system.
    - debian/patches/01_relibtoolize.dpatch: change obsoleted by
      improvements to upstream build system.
    - debian/patches/02_no_pedantic_configure.dpatch: change obsoleted
      by improvements to upstream build system.
    - debian/patches/09_bad_MANIFEST_omission.dpatch: change obsoleted
      by improvements to upstream build system.
    - debian/patches/13_base_strings.dpatch: upstream build system
      handles strings properly.
    - debian/patches/15_pt_BR_string_fix.dpatch: obsoleted by upstream
      string updates.
    - debian/patches/17_de_string_fix.dpatch: obsoleted by upstream
      string updates.
    - debian/patches/03_workaround_for_ots.dpatch: obsoleted by
      upstream.
    - debian/patches/10_browser_handling.dpatch: a better, simpler fix
      is upstream.
    - debian/patches/11_history_fullpath.dpatch: better, simpler fix
      is upstream.
    - debian/patches/18_new_poppler.dpatch: patch no longer applies -
      plugin rewritten to use poppler binaries at runtime.
    - debian/patches/poppler06-api.dpatch: patch no longer applies -
      plugin rewritten to use poppler binaries at runtime.
  * Added patches:
    - debian/patches02_add_mimetypes_to_desktop.dpatch: account for
       import/export support included in the main package now.
    - debian/patches/03_modify_extras_pkgconfig.dpatch: fix configure
      of abiword-extras source sub-package against a non-installed
      AbiWord
  * Backported important (reliability/crasher) changes from SVN -
    patch should be removed from a 2.6.3 package. (Upstream
    revisions 23441, 23443, 23446, 23451, 23453, 23477, 23481, 23482, 23526)
    - debian/patches/50_backport_pre263.dpatch

 -- Ryan Pavlik <abiryan@ryand.net>  Mon, 21 Apr 2008 18:53:02 +0200

abiword (2.4.6-5) unstable; urgency=low

  * Rebuilt with the new libots-1-0.
  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 09 Dec 2007 14:21:36 +0900

abiword (2.4.6-4) unstable; urgency=low

  * Sorted out dpatch names.
     0- : Debian specific
     20-: Translation related
     30-: Temporary build fixes.
  * Rebuilt with libpoppler2, thanks Dmitry E. Oboukhov for build fix!
     - closes: #452676

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 04 Dec 2007 16:23:30 +0900

abiword (2.4.6-3) unstable; urgency=low

  * Maintainer upload, acknowledged NMU - closes: #425066
  * Updated menu section - closes: #445031
  * Now recommends aspell-dictionary - closes: #447376
  * Enabled psion plugin again.
  * Disabled abigochart plugin for now, since its build fails with the current libgoffice-0-5.  I'll investigate this issue later.
  * Removed a mysterious file named debian/j.  Is this joshk's?

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 29 Oct 2007 21:26:06 +0900

abiword (2.4.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust for current version of poppler. Closes: #425066

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  3 Jul 2007 18:20:08 +0000

abiword (2.4.6-2) unstable; urgency=low

  * Acknowledged NMU - closes: #403352
  * Now Build-Deps: libgucharmap-dev - closes: #421051

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 27 Apr 2007 11:43:36 +0900

abiword (2.4.6-1.1) unstable; urgency=low

  * NMU.
  * Use unversioned build dependency on python-dev instead of python2.3-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Dec 2006 15:48:30 +0100

abiword (2.4.6-1) unstable; urgency=low

  * New upstream release, which means 01_relibtoolize was updated.
    - Someone got around to fixing a longstanding DocBook support bug,
      closes: #164683.
    - FcFini fix merged upstream, patch removed.
    - Toolbar buttons now scale, closes: #190690
  * Fix a minor, longstanding typo in abw2html.1. Thanks A Costa.
    closes: #350352.
  * Fix a typo in German strings file, closes: #321810
  * Enable the AbiGOChart plugin (in abiword-plugins-gnome). This allows
    Gnumeric charts to be pasted into abiword-gnome. closes: #346207
  * Merge the AbiRSVG plugin into abiword-plugins. librsvg no longer depends
    on the GNOME library set (as of quite a while ago!)
  * Make abiword-plugins a Recommends for abiword and abiword-plugins-gnome
    a Recommends for abiword-gnome. Remove the Suggests for abiword-common
    that achieve a similar, but erroneous effect. closes: #362470

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 29 Nov 2006 02:18:47 -0800

abiword (2.4.5-2) unstable; urgency=medium

  * Fix crash in FcFini(). closes: #388445, #389852
  * Build-depend on libfreetype6-dev. closes: #381058

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 27 Sep 2006 22:56:36 -0700

abiword (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Add startup notification bit for the desktop files. closes: #358494
  * Merged patches: 17_toolbar_buttons_crash, 16_make_docs_fix
  * Bump Standards-Version to 3.7.2, no changes required.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 11 Jul 2006 15:48:51 -0700

abiword (2.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU, thanks Ray. closes: #341201
  * Definitely rebuild against libenchant1c2a. (I think binNMUs did this for
    us, but it's our bug). closes: #342806
  * Resolve circular dependency of abiword-common on abiword | abiword-gnome
    by lowering it to a Recommends. closes: #340015
  * Correct a pt_BR string or two. Thanks, Jakson. closes: #344350
  * Fix some m4 muck in abiword-plugins before autoreconfiguring.
  * Add copyright information on included library sources (that aren't used
    anyway, but oh well). closes: #355774
  * Move online help to /usr/share/doc/abiword-help/html and fix the doc-base
    file. closes: #333647
  * Add 16_make_docs.dpatch to fix doc building, which was fixed after 2.4.4
    was tagged.
  * Add 17_toolbar_buttons_crash.dpatch to fix notorious Save-button crash
    on AMD64. closes: #365841, #334382

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 10 May 2006 15:42:01 -0700

abiword (2.4.2-1) unstable; urgency=low

  * Works done at Codefest in Malaysia 2006.
  * New upstream release, long overdue
  * Acknowledged NMU, thanks jdassen - closes: #338831
  * Added Build-Dep: libfreetype6-dev - closes: #340260
  * Added gochart & abigrammar plugins - closes: #345087
  * Bumped to Standards-Version: 3.6.2.2.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  4 Mar 2006 21:47:40 +0900

abiword (2.4.1-2.1) unstable; urgency=high

  * NMU to produce packages that are installable again in a current pure sid
    environment. (Closes: #338831)
  * [debian/control] Bumped the libgsf-1-dev, librsvg2-dev, libwpd8-dev build
    dependencies to make the libgsf transition; versioned the
    libaiksaurus-1.2-dev and libaiksaurusgtk-1.2-dev build dependencies to
    make the libstdc++ allocator transition.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 29 Nov 2005 06:43:02 +0100

abiword (2.4.1-2) unstable; urgency=medium

  * It looks like Depends: abiword-common (${Source-Version}) doesn't hold up
    when binNMU'd. Fix this (hence urgency medium.)
  * Add libpoppler-dev to enable PDF rendering for documents.
  * Enable the excitingly sexy AbiMathView plugin, add libgtkmathview-dev to
    build-deps, latex-xft-fonts to Recommends for abiword-plugins.
  * Also enable the 'AbiCollab' plugin.
  * Remove libpsiconv-dev from build-deps as it isn't new enough for the
    current AbiWord.

 -- Joshua Kwan <joshk@triplehelix.org>  Tue, 18 Oct 2005 16:35:34 -0700

abiword (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Patch work:
    - 01_relibtoolize: rediffed, yay automake.
    - 11_history_fullpath, 13_base_strings: rediffed
    - 16_msword_importer_fixes, 17_msword_importer_more_fixes: removed (they
      were HEAD backports)
    - 18_race_fix.dpatch: removed (also HEAD backport)
    - 15_manpage_typo.dpatch: merged
  * Drop the old xfonts-abi package. closes: #327520
  * Lose no longer used build-dependency on libgal2.2-dev. closes: #332677

 -- Joshua Kwan <joshk@triplehelix.org>  Sat,  8 Oct 2005 00:19:06 -0700

abiword (2.2.10-2) unstable; urgency=medium

  * Patch work:
    - 18_race_fix: Fix race condition that manifested itself in Word Count,
      which could (and did, on amd64) cause a nasty infinite loop.

 -- Joshua Kwan <joshk@triplehelix.org>  Sun,  2 Oct 2005 23:18:28 -0700

abiword (2.2.10-1) unstable; urgency=high

  * New upstream release.
  * Includes security fix for RTF buffer overflow exploit. closes: #329839
    (CAN-2005-2964)
  * Change build-dependency on libreadline4-dev to libreadline5-dev |
    libreadline-dev. closes: #326391

 -- Joshua Kwan <joshk@triplehelix.org>  Thu, 29 Sep 2005 11:07:10 -0700

abiword (2.2.9-1) unstable; urgency=low

  * New upstream release.
  * Patch work:
    - 18_missing_info_files.dpatch (REMOVED): integrated upstream
    - 06_support_vnd.ms-word.dpatch (REMOVED): integrated upstream
    - 19_mailmerge_gcc4.dpatch (REMOVED): was a backport.
  * Correct description for abiword-plugins-gnome - Gnome DB plugin is
    not available anymore.

 -- Joshua Kwan <joshk@triplehelix.org>  Sat, 13 Aug 2005 16:18:34 -0700

abiword (2.2.8-2) unstable; urgency=medium

  * Doh, build-depend on libaiksaurus-1.2-dev!
  * Bumped Standards-Version to 3.6.2:
    - Changed Suggests on doc-base to a Recommends.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 18 Jul 2005 19:23:53 -0700

abiword (2.2.8-1) unstable; urgency=medium

  * The "YOU DO NOT MESS WITH SLEEPING PEOPLE" post-Debconf release.
  * New upstream release and a rebuild for new enchant, closes: #318212
  * Add Recommends on aspell-en | aspell6-dictionary, closes: #303332
  * Clean up generated documents to provide build idempotency, closes: #310892
  * Fix typo in man page, closes: #300334
  * Changed Build-Depends on libnautilus2-dev to libgnomeui-dev, thanks
    Mohammed Adnène Trojette for the patch. closes: #315178
  * Add doc-base references to abiword-help, closes: #314734
  * Trash abiword-doc for now, realizing that it's tutorials that are several
    years old and refer only to the Windows port. closes: #314735
  * Patch work:
    - 16_msword_importer_fixes.dpatch: fix regression of crasher bug #218806,
      patch from CVS-HEAD.
    - 17_msword_importer_more_fixes.dpatch: allow 0-byte Word documents to
      be opened without crashing/burning. (What a concept, eh?)
    - 18_missing_info_files.dpatch: Add .info files to allow docs to build
      properly, upstream will fix this soon.
    - 19_mailmerge_gcc4.dpatch: Add a forward declaration for a class to allow
      building with GCC 4.x.
    - 12_gcc4_fix.dpatch (REMOVED): alternate fix pushed upstream.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri,  8 Jul 2005 01:40:30 -0700

abiword (2.2.7-3) unstable; urgency=medium

  * Really remove the gnomedb dependencies this time. Thanks Jordi for
    pointing that out.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 15 Apr 2005 13:01:33 -0700

abiword (2.2.7-2) unstable; urgency=medium

  * Disable the GDA plugin because of new libgda2-3 which is incompatible.
    Also, no one uses it...

 -- Joshua Kwan <joshk@triplehelix.org>  Fri,  8 Apr 2005 13:25:54 -0700

abiword (2.2.7-1) unstable; urgency=medium

  * Upstream brown paper bag release.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon,  4 Apr 2005 17:22:18 -0700

abiword (2.2.6-1) unstable; urgency=medium

  * New upstream release, marked by use of new libwpd8, which fixes 99%
    of #240895.
  * This version also sucks much less than 2.2.4 and 2.2.3. closes: #297652
  * 64-bit compatibility fix pushed upstream, closes: #285085
  * "Page Setup" crasher fixed upstream, closes: #299201
  * Locale problems fixed in Debian (not quite clean enough for upstream
    yet, though.) closes: #264447, #267852

 -- Joshua Kwan <joshk@triplehelix.org>  Sun,  3 Apr 2005 17:22:25 -0700

abiword (2.2.4-1) unstable; urgency=low

  * New upstream release.
  * Remove aspell-dictionary relationship. closes: #294608
  * Patch work:
    - (UPDATED) 01_relibtoolize.dpatch: autotools still suck!

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 20 Feb 2005 16:36:27 -0800

abiword (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * Add dh_installmime -i to get our MIME associations back. Oops!
  * Patch work:
    - (ADDED) 01_relibtoolize.dpatch: We got lucky that time. Added back.
    - (ADDED) 14_comma_subscript.dpatch: Ctrl-, is now a subscript toggle key.
  * Turn some leading capital letters in Description fields to lowercase,
    to appease lintian.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed, 19 Jan 2005 00:53:34 -0800

abiword (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge really old NMU, closes: #267199
  * Patch work:
    - (REMOVED) 01_relibtoolise.dpatch: Upstream is using a newer automake.
    - (ADDED): 12_gcc4_fix.dpatch: fixes compile partially on gcc-4.0/amd64
      (awaiting a better fix for one part), thanks Andreas Jochens.
      Closes-halfway: #285085
    - (ADDED): 13_base_strings.dpatch: try 'base' languages before giving up
      on finding a stringset. (closes: #285753)
  * Add 'Office' to Categories for GNOME desktop files. closes: #287115
  * Fix icon paths in desktop files and move abiword_48.png to
    /usr/share/pixmaps. Thanks Dan Korostelev for the hint about relative
    icon paths. closes: #284400, #285463
  * Re-add the Debian menu file by changing dh_installmenu -a to
    dh_installmenu -i. Oops! closes: #283376
  * Really really add support for application/vnd.ms-word. Thanks
    Michael Graham for alerting me to my mistake. (was bug#274643)
  * Delete the obsoleted AbiWord.desktop.kde.
  * Ditch the nroff plugin which does absolutely nothing right now.
    closes: #285464

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 26 Dec 2004 21:37:42 -0800

abiword (2.2.1-1) unstable; urgency=low

  * Incorporated 2.0.14-2 manpage/changelog changes.
  * New upstream release.
  * Patch work:
    - (UPDATED) 01_relibtoolise.dpatch: autotools still suck
    - (REMOVED) 11_fix_doc_build.dpatch: merged upstream
    - (REMOVED) 08_bad_g_prgname.dpatch: merged upstream
    - (ADDED) 11_history_fullpath.dpatch: Make sure file history always points
      to absolute paths whenever we can detect it.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri,  3 Dec 2004 20:16:58 -0800

abiword (2.0.14-2) unstable; urgency=low

  * Be a little less rude to Dan Jacobson in -1's changelog entry.
  * Fix more typos in abw2html.1. closes: #279826

 -- Joshua Kwan <joshk@triplehelix.org>  Thu,  4 Nov 2004 22:08:41 -0800

abiword (2.1.96-1) experimental; urgency=low

  * New upstream development release. Most changes inherited from 2.0.12-1.
  * Patch work:
    - (REMOVED) 05_perl_bindings.dpatch: No longer relevant for this version
    - (REMOVED) 07_page_down_crash.dpatch: Was a backport from this version.
    - (ADDED) 09_bad_MANIFEST_omission.dpatch: Added fix for build error,
      committed upstream already.
    - (CHANGED) 10_browser_handling.dpatch: adapted from 2.0.x patch.
    - (ADDED) 11_fix_doc_build.dpatch: Adopted to CVS HEAD, fixes
      documentation build that generated blank HTML.

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 29 Oct 2004 18:15:43 -0700

abiword (2.0.14-1) unstable; urgency=low

  * I'm now a comaintainer. I think. Add myself to Uploaders.
      < mhatta_> do you want to be a co-maintainer of abiword?
      < mhatta_> I'm a MIA in reality, so your help is appreciated
  * New upstream version fixes:
    - spontaneous window opening on AbiWord startup, closes: #263707
    - inability to print grayscale PNGs, closes: #117005, #140025, #256650
  * Patch work:
    - (CHANGED) 01_relibtoolise.dpatch: Refresh. Autotools suck.
    - (ADDED) 06_support_vnd.ms-word.dpatch: Part of the fix for #274643.
    - (ADDED) 07_page_down_crash.dpatch: Backport from HEAD a crash fix
      based on a graphics generation race condition that could occur if
      one pressed Page Down before it finished.
    - (ADDED) 08_bad_g_prgname.dpatch: Set g_prgname to something that
      matches the name of the corresponding binary (AbiWord-2.0 in this
      case, instead of AbiWord.) This allows bug-buddy to grab a stack
      trace from the right program in case a crash occurs. closes: #243243
    - (ADDED) 09_browser_handling.dpatch: Improve browser handling (launch
      console browsers in an x-terminal-emulator, and check for x-www-browser
      above all.)
  * Fix grammatical error in abw2html.1. closes: #272604
  * Also s/\.pl//g; s/\.sh//g in all manpages.
  * Add abiword as a viewer for application/vnd.ms-word. closes: #274643
  * Add more mailcap entries for abiword/abiword-plugins, based on the
    .server file provided by upstream.
  * Remove upstream-obsoleted ttftool/ttfadmin. Only useful in the
    pre-Fontconfig days of AbiWord. Since it is no longer installed, this
    closes: #233321.
  * Stop shipping the old KDE desktop file. closes: #273217
  * Install mime-info, applications and desktop files in the common package.
    There's no sin in letting non-gnomeui apps use them. (Replaces: in
    abiword-common takes care of transitioning for us.)
  * Change Recommends: abiword | abiword-gnome to a Depends. By virtue of
    the problem no longer really existing this closes: #228260
  * Add a blank postinst file for abiword-common (only containing hashbang +
    #DEBHELPER#) to potentially ease some upgrades. closes: #270815

 -- Joshua Kwan <joshk@triplehelix.org>  Fri, 29 Oct 2004 17:56:42 -0700

abiword (2.0.10-1.2) unstable; urgency=high

  * Non-Maintainer Upload.
  * debian/patches/01_relibtoolise.dpatch: damn, I missed the *other*
    configure script. Abiword's source tarball sucks in many ways...
    (really closes: #267199).

 -- Jordi Mallach <jordi@debian.org>  Sun, 29 Aug 2004 03:47:46 +0200

abiword (2.0.10-1.1) unstable; urgency=high

  * Non-Maintainer Upload.
  * High urgency as this is needed for the libexif transition.
  * debian/patches/01_relibtoolise.dpatch: new, relibtoolise the abi/
    directory to fix FTBFS in mips (closes: #267199).

 -- Jordi Mallach <jordi@debian.org>  Tue, 24 Aug 2004 22:59:51 +0200

abiword (2.0.10-1) unstable; urgency=high

  * The "Brief Return From The Hell" release.
  * Maintainer upload.
  * Acknowledged an NMU, thanks joshk - closes:#259175, #231193, #189539, #259809, #261667, #261003, #215861, #262551
  * New upstream release
    - Let's use the released tarball, are you happy, drew? - closes: #217265
  * Linked abiword.1.gz <-> AbiWord-*2.0*.gz, really - closes: #259039
  * Moved AbiRSVG plugin to abiword-plugins-gnome - closes: #260648
  * [copyright] revised.  Not really fixes #258918, but close enough.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 10 Aug 2004 19:31:14 +0900

abiword (2.0.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream stable release. (Closes: #259175)
      - Resolves for sarge: Print button crash (closes: #259809)
      - Resolves for sarge: gdk_pixbuf_render_to_drawable() undefined
        (closes: #261003)
  * Bump Build-Depends on libgucharmap3 to libgucharmap4. (Closes: #261667)
  * Link abiword.1.gz <-> AbiWord-2.0.1.gz. (Closes: #259039)
  * Patch work:
    - (REMOVED) 01_ia64_build_fix.dpatch: Seems to have been fixed
      differently upstream.
    - (ADDED) 04_autosave_default.dpatch: Save backup copies of files every
      5 minutes by default. (Closes: #231193)
    - (ADDED) 05_perl_bindings.dpatch: Timestamp issue tickled a desync
      between the shipped AbiWord.cpp for the Perl bindings, and revealed
      a missing argument to a findNext function. Rebuild with xsubpp.
  * abw2html.pl link in abiword-common becomes just 'abw2html' (still
    points to the abw2html.pl in /usr/share, though.) (Closes: #189539)
  * Quote entries in the menu file for abiword-common.

 -- Joshua Kwan <joshk@triplehelix.org>  Wed,  4 Aug 2004 07:34:19 -0700

abiword (2.0.7+cvs.2004.05.05-1) unstable; urgency=low

  * The "God Bless The Child" release.
  * New upstream release (CVS snapshot).
  * Removed AbiWord.exe.MANIFEST - closes: #245215

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed,  5 May 2004 22:35:50 +0900

abiword (2.0.6+cvs.2004.04.07-1) unstable; urgency=low

  * The "Ericka" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Wed,  7 Apr 2004 21:44:26 +0900

abiword (2.0.6+cvs.2004.03.28-1) unstable; urgency=low

  * The "Are You Still Dreaming Ever-Free?" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 28 Mar 2004 22:26:19 +0900

abiword (2.0.5+cvs.2004.03.12-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * Do not set --enable-gnome when build plugins - closes: #237270

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 12 Mar 2004 02:11:21 +0900

abiword (2.0.5+cvs.2004.03.09-1) unstable; urgency=low

  * The "G-Man" release.
  * New upstream release (CVS snapshot).
  * Adjusted Sections appropriately.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue,  9 Mar 2004 08:49:52 +0900

abiword (2.0.3+cvs.2004.02.22-1) unstable; urgency=low

  * The "Captain Buckles" release.
  * New upstream release (CVS snapshot).
  * Tweaked the order of build options - closes: #231337
  * Now can be buildable on NFS-mounted fs - closes: #231315
  * Set debhelpers -i and -a - closes: #226081
  * Now psion plugin sorta works - closes: #220316, #217611
  * Fixed description - closes: #229639, #228771
  * Built with sane tar - closes: #232382

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 22 Feb 2004 04:34:10 +0900

abiword (2.0.3+cvs.2004.02.07-1) unstable; urgency=low

  * New upstream release (CVS snapshot).
  * [control] changed Maintainer field.
  * Acknowledged NMUs, thank you folks - closes: #223606, #226102

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  7 Feb 2004 20:12:40 +0900

abiword (2.0.1+cvs.2003.11.07-2.2) unstable; urgency=low

  * NMU
  * add libenchant-dev to Build-Depends: (closes: #226102)

 -- Rene Engelhard <rene@debian.org>  Sun,  4 Jan 2004 16:53:59 +0100

abiword (2.0.1+cvs.2003.11.07-2.1) unstable; urgency=low

  * NMU from Minneapolis BSP.
  * Rebuit against new libwmf. (Closes: #223606)

 -- Scott Dier <sdier@debian.org>  Sat, 13 Dec 2003 19:41:23 -0600

abiword (2.0.1+cvs.2003.11.07-2) unstable; urgency=low

  * Rebuilt with libwpd4.
  * Disabled perl binding since it doesn't build with Perl 5.8.2. *sigh*

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 10 Nov 2003 18:40:59 +0900

abiword (2.0.1+cvs.2003.11.07-1) unstable; urgency=low

  * The "Muffin Man" release.
  * New upstream release (CVS snapshot)
     - Now uses STABLE branch - closes: #217265
  * Now depends on libwpd3 - closes: #219491
  * Now printing in non-GNOME version works - closes: #214016, #214836
  * Now garbages don't enter when you paste from emacs - closes: #206759
  * Now Abi survives when HT Text plugin is disabled - closes: #201430
  * Now Abi survives when the view is changed - closes: #203616, #218726
  * Now Abi survives when the ruler is removed - closes: #213519
  * Now Abi survives when you push F11 - closes: #215434

 -- Masayuki Hatta <mhatta@debian.org>  Fri,  7 Nov 2003 11:38:50 +0900

abiword (2.0.0+cvs.2003.10.29-1) unstable; urgency=low

  * The "Blame It On Cain" release.
  * New upstream release (CVS snapshot).
  * Acknowledged NMU, thanks Jordi - closes: #216171, #216235, #213660
  * New package: abiword-doc contains a manual and tutorials.
  * New package: abiword-help contains online help - closes: #166145, #204142, #207551
  * New package: abiword-plugins-gnome contains plugins which depend on GNOME libraries - closes: #211754
  * New package: xfonts-abi provides a dummy package for smooth upgrade - closes: #192056
  * Built with libenchant1, and now spell checker does nothing when
    dictionary for specified language is not available - closes: #204143, #204264
  * Now abiword-gnome depends on libgucharmap3 - closes: #212727
  * This is actually 2.1.0+, but I'll package the stable 2.0.1 when it is
    ready, thus stick with calling 2.0.0 for a while.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 29 Oct 2003 20:31:14 +0900

abiword (2.0.0+cvs.2003.09.25-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Rebuild against the new libwpd-dev which changed soname (closes: #216171).
  * debian/patches/01_ia64_build_fix.dpatch: add more fixes for ia64 and
    alpha (thanks Bdale; closes: #213660).

 -- Jordi Mallach <jordi@debian.org>  Fri, 17 Oct 2003 13:18:30 +0200

abiword (2.0.0+cvs.2003.09.25-1) unstable; urgency=low

  * The "I HATE IA64" release.
  * New upstream release (CVS snapshot).
  * Applied Matt Kraai's IA64 build fix patch again - closes: #211060
  * Built with the new libgucharmap3 - closes: #212635, #212385, #200910
  * Built with the sane g++-3.3, now Insert -> Table works
     - closes: #211196, #208579, #211624

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 25 Sep 2003 09:44:50 +0900

abiword (2.0.0+cvs.2003.09.15-2) unstable; urgency=low

  * Linked with the sane libwpd0.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Sep 2003 16:22:00 +0900

abiword (2.0.0+cvs.2003.09.15-1) unstable; urgency=low

  * The "Zazueira" release.
  * New upstream release (CVS snapshot).
  * Applied Matt's patch to fix ia64 build problem - closes: #207902
  * Now uses dpatch.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Sep 2003 10:41:30 +0900

abiword (1.99.5+cvs.2003.08.30-1) unstable; urgency=low

  * The "September Song" release.
  * New upstream release (CVS snapshot).
  * Updated es-ES.po - closes: #207527
  * Build fix for ia64, thanks Matt - closes: #207682
  * Bumped Standards-Version to 3.6.0.
  * abiword.application -> abiword.applications.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 30 Aug 2003 06:36:37 +0900

abiword (1.99.5+cvs.2003.08.28-1) unstable; urgency=low

  * The "Misty" release.
  * New upstream release (CVS snapshot).
  * Fixed in the upstream - closes: #149797, #200359, #207369
  * More rigorous GNOME support - closes: #194756, #197351, #186850
  * Added Build-Depends: libpng12-dev.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 28 Aug 2003 17:01:51 +0900

abiword (1.99.5+cvs.2003.08.27-1) unstable; urgency=low

  * The "Bantu Penda" release.
  * New upstream release (CVS snapshot).
  * Disabled imagemagick plugin explicitly (by the upstream's request).
  * Enabled ots plugin.
  * Fixed typos in description (thanks Jens Seidel).
  * Now depends on python2.3 - closes: #204760, #205823

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 27 Aug 2003 15:51:53 +0900

abiword (1.99.2+cvs.2003.07.10-1) unstable; urgency=low

  * The "Sister Caroline" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 10 Jul 2003 16:30:57 +0900

abiword (1.99.1+cvs.2003.07.03-1) unstable; urgency=low

  * The "Selim" release.
  * New upstream release (CVS snapshot).
  * Now 'Insert Symbol' works - closes: #181289
  * Now buildable - closes: #198874
  * Rebuilt with proper libraries - closes: #198180, #196333
  * Now claims "Word Processor" prominently in menu - closes: #197376

 -- Masayuki Hatta <mhatta@po.airs.net>  Thu,  3 Jul 2003 00:38:32 +0900

abiword (1.9.0+cvs.2003.05.10-1) unstable; urgency=low

  * The "Sungi Mungi" release.
  * New upstream release (CVS snapshot).
  * libwpd0 is now available in unstable - closes: #191944
  * Fixed in the upstream - closes: #186942
  * Fixed a typo in .server - closes: #192514

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 10 May 2003 09:54:34 +0900

abiword (1.9.0+cvs.2003.05.03-2) unstable; urgency=low

  * Really linked with libwpd0.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  4 May 2003 12:45:27 +0900

abiword (1.9.0+cvs.2003.05.03-1) unstable; urgency=low

  * The "Gumbo Filet" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Sat,  3 May 2003 20:54:25 +0900

abiword (1.9.0+cvs.2003.04.24-1) unstable; urgency=low

  * The "Dementia" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 24 Apr 2003 00:52:41 +0900

abiword (1.9.0+cvs.2003.04.20-1) unstable; urgency=low

  * The "Hippy Dip" release.
  * New upstream release (CVS snapshot).
  * Fixed in the upstream - closes: #188650

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 20 Apr 2003 20:27:22 +0900

abiword (1.1.4+cvs.2003.04.17-1) unstable; urgency=low

  * The "Jeepers Creepers" release.
  * New upstream release (CVS snapshot).
  * Bumped to Standards-Version: 3.5.9.
  * Fixed in the upstream - closes: #181286, #146060, #152397

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 17 Apr 2003 21:47:36 +0900

abiword (1.1.4+cvs.2003.04.10-1) unstable; urgency=low

  * The "Bennie's Diggin'" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 10 Apr 2003 14:25:01 +0900

abiword (1.1.4+cvs.2003.04.01-1) unstable; urgency=low

  * The "Root Down (and Get It)" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Tue,  1 Apr 2003 20:23:24 +0900

abiword (1.1.4+cvs.2003.03.25-1) unstable; urgency=low

  * The "The MIghty Burner" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 25 Mar 2003 03:18:28 +0900

abiword (1.1.3+cvs.2003.03.18-1) unstable; urgency=low

  * The "One Finger Snap" release.
  * New upstream release (CVS snapshot).
  * Rebuilt with new libgal2.0-1 - closes: #185231
  * Now installs manpages - closes: #174619, #174683
  * Added Replaces: abiword-common (<< 1.1.3+cvs.2003.03.13-1) to abiword and abiword-gnome - closes: #185210
  * Fixed in the upstream - closes: #180955, #181285, #181326

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 18 Mar 2003 11:21:48 +0900

abiword (1.1.3+cvs.2003.03.13-1) unstable; urgency=low

  * The "Workin' On A Groovy Thing" release.
  * New upstream release (CVS snapshot).

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 13 Mar 2003 13:34:01 +0900

abiword (1.1.3+cvs.2003.03.10-1) unstable; urgency=low

  * The "It's Too Late" release.
  * New upstream release (CVS snapshot).
  * Added Depends: gsfonts - closes: #182619, #180624, #180887
  * -gnome is back now - closes: #182242
  * Added kderemove tag to abiword-common.menu - closes: #181549
  * Now installs MIME entries - closes: #181430
  * Now removes defoma leftover - closes: #179795

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 10 Mar 2003 13:54:43 +0900

abiword (1.1.3+cvs.2003.02.04-2) unstable; urgency=low

  * Fixed confused Conflicts: - closes: #179834, #179891

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 10 Feb 2003 01:57:02 +0900

abiword (1.1.3+cvs.2003.02.04-1) unstable; urgency=low

  * The "That's The Groovy Thing" release.
  * New upstream release (CVS snapshot).
  * Now abiword doesn't have any binary-all packages - closes: #167578
  * Now can read this doc file - closes: #176299
  * Added menu entries - closes: #179289, #179302
  * Now Provides: abiword-gtk, abiword-gnome - closes: #179633
  * Seems this bug has gone - closes: #157862
  * Not reproducible, if persists please reopen - closes: #163960, #172507, #172510, #172511
  * I don't think this is a bug - closes: #172509

 -- Masayuki Hatta <mhatta@debian.org>  Tue,  4 Feb 2003 00:53:54 +0900

abiword (1.1.3+cvs.2003.01.31-1) unstable; urgency=low

  * The "Transition" release.
  * Now uses CVS HEAD(the development branch).  Well, it's still
    somewhat shaky, but rapidly maturing.  Bug reports are welcome.
  * Before bitching me, think what "sid" is all about.
  * Now installable - closes: #177357, #177447, #178198, #178064, #176179
  * Now uses fontconfig, so these bugs are gone
      - closes: #134451, #139045, #145317, #145332, #147992, #150552, #153447, #160380, #175215, #162714, #165120, #172205, #142558, #160380, #168916, #171788, #144132, #163761
  * Now uses libxml2, so this bug is gone - closes: #143942
  * Now AbiWord uses new GNU aspell, so these bugs shold be gone - closes: #162302, #162534, #166361
  * Seems AbiWord uses GNOME's default browser - closes: #174306
  * Now fixed (or possibly fixed) in the upstream - closes: #171069, #146061, #137414, #161149, #167866, #178092, #148330
  * Thanks, but not needed anymore - closes: #174737

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 31 Jan 2003 02:43:28 +0900

abiword (1.0.4+cvs.2002.11.22-1) unstable; urgency=low

  * The "These Foolish Things" release.
  * New upstream release (CVS snapshot).
  * Built with libgal21 - closes: #169582

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 22 Nov 2002 13:23:04 +0900

abiword (1.0.3+cvs.2002.11.04-1) unstable; urgency=low

  * The "Watch What Happens" release.
  * New upstream release (CVS snapshot).
  * Oops, libgal20 doesn't exist in sid - closes: #167627

 -- Masayuki Hatta <mhatta@debian.org>  Mon,  4 Nov 2002 19:42:07 +0900

abiword (1.0.3+cvs.2002.11.03-1) unstable; urgency=low

  * The "You And The Night And The Music" release.
  * New upstream release (CVS snapshot).
  * Well, I should have stated that's in abiword-common - closes: #165709
  * Build-Depends: automake1.4 - closes: #166383

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  3 Nov 2002 01:16:51 +0900

abiword (1.0.3+cvs.2002.09.06-1) unstable; urgency=low

  * The "Lies" release.
  * New upstream release (CVS).
  * Bumped Standards-Version to 3.5.7.
  * Enabled Perl bindings again.

 -- Masayuki Hatta <mhatta@debian.org>  Fri,  6 Sep 2002 14:03:54 +0900

abiword (1.0.2+cvs.2002.08.31-1) unstable; urgency=low

  * The "Blue Drag" release.
  * New upstream release (CVS).
  * Disabled Perl bindings.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 31 Aug 2002 18:27:50 +0900

abiword (1.0.2+cvs.2002.08.30-1) unstable; urgency=low

  * The "Everybody's Cryin' Mercy" release.
  * New upstream release (CVS).
  * Well, let's built with libpng2 for a while - closes: #158401
  * Built with gdk-pixbuf in unstable - closes: #157833, #158259, #158262
  * Acknowledged NMU(actually done by me ;-) - closes: #157807
  * Disabled perl binding.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 30 Aug 2002 10:43:04 +0900

abiword (1.0.2+cvs.2002.08.21-1) unstable; urgency=low

  * The "Expensive Shit" release.
  * New upstream release (CVS).
  * Fixed in the upstream - closes: #156808
  * Added Build-Depends: libungif4-dev - closes: #157048
  * Removed build dependency on libmagick5-dev, libmagick5++-dev and libwmf-dev.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 21 Aug 2002 12:33:29 +0900

abiword (1.0.2+cvs.2002.08.10-1) unstable; urgency=low

  * The "Truckin'" release.
  * New upstream release (CVS).
  * Added OpenWriter plugin.

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 10 Aug 2002 10:37:15 +0900

abiword (1.0.2+cvs.2002.07.30-1) unstable; urgency=low

  * The "Do You Know What It Means To Miss New Orleans" release.
  * New upstream release (CVS).
  * Now abiword-common pre-depends on defoma - closes: #153292
  * Added aspell-en to Depends - closes: #153264
  * The priority of -gnome is now set to 35(and -gtk is set to 30), which
    means in case -gnome is installed, /usr/bin/AbiWord_d should be always
    symlinked to /usr/bin/AbiWord_d.gnome unless you changed it explicitly
    by using /usr/sbin/update-alternatives - closes: #151043

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 30 Jul 2002 19:50:32 +0900

abiword (1.0.2+cvs.2002.07.15-1) unstable; urgency=low

  * The "Iko Iko" release.
  * New upstream release (CVS).
  * Seems these bugs are gone...if not please reopen - closes: #146654, #146875, #149771
  * Improved description - closes: #151358
  * Removed dependencies for aspell-* except aspell-dictionary - closes: #152618
  * Now uses nextgen.sh for building plugins(suggested by fjf).
  * Revised README.Debian.
  * Removed more leftover directories.  Tried to shut linda up, quite
    unsuccessfully...

 -- Masayuki Hatta <mhatta@debian.org>  Sat,  6 Jul 2002 12:16:06 +0900

abiword (1.0.2+cvs.2002.06.19-1) unstable; urgency=low

  * The "Got A Good Thing Goin'" release.
  * Rebuilt with libesd0 from sid - closes: #150320
  * Fixed Build-Depends: - closes: #150282, #150312
  * Included non-Latin1 help docs - closes: #150379

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 19 Jun 2002 14:22:50 +0900

abiword (1.0.2+cvs.2002.06.17-1) unstable; urgency=low

  * The "Moon In June" release.
  * New upstream release (CVS).

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 17 Jun 2002 21:54:11 +0900

abiword (1.0.2+cvs.2002.06.12-1) unstable; urgency=low

  * The "Doin' The Thing" release.
  * New upstream release (CVS).
  * Added aiksaurus plugin.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 12 Jun 2002 13:20:53 +0900

abiword (1.0.2+cvs.2002.06.05-1) unstable; urgency=low

  * The "I'm Your Puppet" release.
  * New upstream release (CVS).
  * Added Categories entry to AbiWord.desktop.gnome - closes: #148744
  * Moved credits.* into abiword-common - closes: #148889
  * Added tt_unregister routine to abiword-common.defoma.

 -- Masayuki Hatta <mhatta@debian.org>  Wed,  5 Jun 2002 21:41:07 +0900

abiword (1.0.1+cvs.2002.05.30-1) unstable; urgency=low

  * The "A Smooth One" release.
  * New upstream release (CVS).
  * Disabled freetrans plugin since it doesn't work now.
  * Now install *.oaf under /usr/share/oaf (suggested by MG, thanks).
  * Fixed a typo in abiword-common.defoma.
  * Now Depends: psfontmgr.

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 30 May 2002 19:20:18 +0900

abiword (1.0.1+cvs.2002.05.24-1) unstable; urgency=low

  * The "Play It Back" release.
  * New upstream release (CVS).

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 24 May 2002 20:18:28 +0900

abiword (1.0.1+cvs.2002.05.06-1) unstable; urgency=high

  * The "I Heard It Through The Grapevine" release.
  * New upstream release (CVS).
  * Added Japanese template.
  * Added gdict plugin.
  * Fixed abiword-common.menu - closes: #145858, #145425
  * Tightened dependency between abiword packages - closes: #145875
  * Seems fixed in the upstream - closes: #144005
  * Set urgency to high - would be nice if we have this one in woody.

 -- Masayuki Hatta <mhatta@debian.org>  Mon,  6 May 2002 09:13:33 +0900

abiword (1.0.0+cvs.2002.04.28-2) unstable; urgency=high

  * Oops, defoma-app returns value 1 - closes: #144930
  * Removed american.hash - closes: #144886
  * This one really should go into woody *SIGH*

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 29 Apr 2002 10:23:32 +0900

abiword (1.0.0+cvs.2002.04.28-1) unstable; urgency=high

  * The "Don't Keep Me Wonderin'" release.
  * New upstream release (CVS).
  * Cosmetic changes only  - hope they don't cause any serious problem.
  * Purge old abiword configuration - closes: #144215
  * Fixed menu hint - closes: #144281
  * Check whether XF86Config-4 exists - closes: #144423
  * Set urgency to high, since this one should go into woody.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 28 Apr 2002 15:17:07 +0900

abiword (1.0.0+cvs.2002.04.21-1) unstable; urgency=low

  * The "Now's The Time" release.
  * New upstream release (CVS).
  * Fixed Spanish template - closes: #143754

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 21 Apr 2002 10:38:44 +0900

abiword (0.99.5+cvs.2002.04.17-1) unstable; urgency=low

  * The "A Change Is Gonna Come" release.
  * New upstream release (CVS).  This is actually RC1.
  * Sueggests: aspell-* - closes: #143078
  * Suppressed defoma messages - closes: #142933
  * The upstream discarded the old help, so I don't need to include new one
    to abiword-docs.  So abiword-doc/help is removed.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 16 Apr 2002 23:52:29 +0900

abiword (0.99.5+cvs.2002.04.12-1) unstable; urgency=low

  * The "I Believe My Time Ain't Long" release.
  * New upstream release (CVS).
  * Patch for building on s390 accepted by the upstream - closes: #142402
  * Make sure the old /var/lib/defoma/abiword.d is removed - closes: #142425
  * abiword-doc/XHTML is obsoleted, now install abiword-doc/help instead - closes: #139642

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 12 Apr 2002 10:52:22 +0900

abiword (0.99.5+cvs.2002.04.11-1) unstable; urgency=low

  * The "Don't Explain" release.
  * New upstream release (CVS).
  * Hopefully this release can be built on ppc - closes: #140758

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 11 Apr 2002 01:09:30 +0900

abiword (0.99.3+cvs.2002.04.04-1) unstable; urgency=low

  * The "Life's Backward Glance" release.
  * New upstream release (CVS).
  * Added some more plugins.
  * Added some notes about running it on remote machines - closes: #59267, #102764, #139086
  * Commented out zh-HK stuff - closes: #140932

 -- Masayuki Hatta <mhatta@debian.org>  Thu,  4 Apr 2002 09:00:25 +0900

abiword (0.99.3+cvs.2002.04.01-1) unstable; urgency=low

  * The "April Fool" release.  Well, this is an Eric Dolphy tune ;-)
  * New upstream release (CVS).
  * Refined description - closes: #140607
  * Refined copyright - closes: #140636
  * BTW, the distribution of AbiWord by Debian is already acknowledged
    by the upstream, so this is the "official" or at least "semi-official"
    product of AbiWord for Debian.  I think we can call it AbiWord anyway.
    Man, who cares ;-)
  * Added Brazilian Portuguese templates - closes: #140410
  * Fixed in the upstream - closes: #134054, #139646

 -- Masayuki Hatta <mhatta@debian.org>  Mon,  1 Apr 2002 08:39:46 +0900

abiword (0.99.3+cvs.2002.03.28-1) unstable; urgency=low

  * The "Out-Bloody-Rageous" release.
  * New upstream release (CVS).
  * Added missing Build-Depends: libgnome-vfs-dev - closes: #140253
  * Added a workaround for building arm, ppc and s390 - closes: #127007

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 28 Mar 2002 13:18:32 +0900

abiword (0.99.3+cvs.2002.03.27-1) unstable; urgency=low

  * The "Foolin' Myself" release.
  * New upstream release (CVS).
  * Added missing Build-Depends: libgal-dev.
  * Changed package name "abiword" to "abiword_common" in
    abiword-common.defoma.
  * Added Depends: abiword-{gtk,gnome} to abiword dummy package.

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 27 Mar 2002 09:01:19 +0900

abiword (0.99.3+cvs.2002.03.25-1) unstable; urgency=low

  * The "To Lay Me Down" release.
  * New upstream release (CVS).

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 25 Mar 2002 18:05:52 +0900

abiword (0.99.3+cvs.2002.03.24-4) unstable; urgency=low

  * Disabled magick plugin since libmagick5 depends on libwmf0.2-2 which in
    turn depends on libxml2.  *SIGH* - closes: #139638, #135923, #139399

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 24 Mar 2002 16:16:19 +0900

abiword (0.99.3+cvs.2002.03.24-3) unstable; urgency=low

  * Added missing Build-Depends: libgnome-dev.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 24 Mar 2002 13:33:53 +0900

abiword (0.99.3+cvs.2002.03.24-2) unstable; urgency=low

  * Oops, conflicting aspell-dictionary was actually a bad idea -
    removed and stated in README.Debian instead.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 24 Mar 2002 08:51:42 +0900

abiword (0.99.3+cvs.2002.03.24-1) unstable; urgency=low

  * The "Who Cares?" release.
  * New upstream release (CVS).
  * Made a dirty workaround to cope with Autoconf 2.53 - closes: #139445
  * Not reproducible, seems fixed in the upstream? - closes: #117614
  * Weird...when aspell-en is installed, -gtk freezes as the submitter
    reported.  Maybe the upstream pspell-related code bug, but I added
    Conflicts: aspell-dictionary for the time being - closes: #139367

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 24 Mar 2002 00:27:58 +0900

abiword (0.99.3+cvs.2002.03.22-1) unstable; urgency=low

  * The "What A Diff'rence A Day Made'" release.
  * New upstream release (CVS).
  * Added Build-Depends: autotools-dev.  config.{guess,sub} are now
    updated from /usr/share/misc at build time.
  * Now Depends: libpspell-ispell1 | aspell-dictionary - closes: #139448
  * Debian's gnome-print uses libxml1 while libwmf0.2-2 uses libxml2.
    This is where it all began.  Anywise, just removing
    --with-libwmf fixed this long-standing annoying
    print-preview bug - closes: #135585, #137847, #138996
  * But this made HTML plugin unusable, so disabled.

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 22 Mar 2002 19:48:29 +0900

abiword (0.99.3+cvs.2002.03.21-1) unstable; urgency=low

  * The "Don't Blame Me, Take 2" release.
  * New upstream release (CVS).
  * Wow, Bi-di is back.  Enabled - closes: #121407
  * Depends: -> Recommends: abiword-gtk | abiword-gnome.
  * Added "Recommends: psfontmgr, x-ttcidfont-conf".
  * Added "Suggests: xfs".

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 21 Mar 2002 09:32:59 +0900

abiword (0.99.3+cvs.2002.03.18-1) unstable; urgency=low

  * The "But Not For Me" release.
  * New upstream release (CVS).
  * Made symlinks of fonts in /usr/X11R6/lib/X11/fonts/Type1 and
    generates fonts.{dir,scale} - closes: #138491
  * The change above should fix this one, too - closes: #138193
  * Added ABIWORD_BINARY feature(explained in README.Debian) - closes: #138277
  * Don't show debconf note if /etc/X11/XF86Config-4 contains "type1" - closes: #135764

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 18 Mar 2002 09:28:34 +0900

abiword (0.99.2+cvs.2002.03.15-1) unstable; urgency=low

  * The "Well, You Needn't" release.
  * New upstream release (CVS).
  * Fixed in the upstream (Bug 2780) - closes: #137412
  * Now depends on libpspell-ispell1 to make sure at least en-US spell
    checker works - closes: #137413, #136883

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 15 Mar 2002 17:00:00 +0900

abiword (0.99.2+cvs.2002.03.13-1) unstable; urgency=low

  * The "Don't Blame Me" release.
  * New upstream release (CVS).
  * Removed entries for text/plain and text/html from mime - closes: #136120
  * Added French template - closes: #136109
  * Added Spanish template - closes: #136364
  * Added Russian template - closes: #137160
  * Added German template - closes: #137213
  * Added a little FAQ about Debianized abiword package.  Questions are welcome!
  * Now Recommends: abiword-doc & abiword-plugin - closes: #135987, #138007
    (You need abiword-doc to see credits, and abiword-plugin to read HTML)
  * Moved KDE menu hints - closes: #137740

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 13 Mar 2002 13:37:59 +0900

abiword (0.99.2+cvs.2002.02.25-3) unstable; urgency=low

  * Fixed manpage problem - closes: #135783
  * Added Conflicts: abiword (<< 0.99.2) to xfonts-abi - closes: #135883
  * Changed abiword dummy's arch to any - closes: #135726

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 26 Feb 2002 23:21:44 +0900

abiword (0.99.2+cvs.2002.02.25-2) unstable; urgency=low

  * Added Build-Depends: libtool - closes: #135685
  * Added Conflicts: abiword (<< 0.99.2) to abiword-doc - closes: #135682

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 26 Feb 2002 01:46:15 +0900

abiword (0.99.2+cvs.2002.02.25-1) unstable; urgency=low

  * The "Look Ma, I'm Cryin'" release.
  * New upstream release (CVS).
  * Show notes about Type1 font during the installation - closes: #121223, #134451
  * Call update-alternatives --auto when removed - closes: #135607
  * Not reproducible, seems fixed in the upstream? - closes: #122912

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 25 Feb 2002 11:35:20 +0900

abiword (0.99.2+cvs.2002.02.23-1) unstable; urgency=low

  * The "Tons Of Sobs" release.
  * New upstream release (CVS).
  * Divided into several packages.  Notably,
     abiword-doc - closes: #130002
     abiword-gnome - closes: #122565, #52944, #113540
     xfonts-abi - closes: #57322
  * I think I can assume these bug has been fixed - closes: #52278
  * No reply from the submitter, assumes this bug has been fixed - closes: #129963
  * Linked with expat...this is a workaround, but fixes this annoying
    strings problem - closes: #134479, #134483, #135191
  * This bug is not present in 0.99.1+, explained to the submitter - closes: #134835, #135043
  * Pasting works in this version - closes: #134750

 -- Masayuki Hatta <mhatta@debian.org>  Sat, 23 Feb 2002 22:29:22 +0900

abiword (0.99.1+cvs.2002.02.18-1) unstable; urgency=low

  * New upstream release (CVS).
  * Added GNOME/KDE menu files - closes: #117812, #110089, #109708, #64772
  * Now AbiWord can handle RTF files properly - closes: #120106, #42703
  * No GNOME support yet, though.

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 19 Feb 2002 06:32:09 +0900

abiword (0.99.1+cvs.2002.02.17-2) unstable; urgency=low

  * Added libpspell-ispell-dev to Build-Depends - closes: #134337
  * Now Recommends: libpspell-ispell1 | aspell-en.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 17 Feb 2002 13:31:03 +0900

abiword (0.99.1+cvs.2002.02.17-1) unstable; urgency=low

  * New upstream release (CVS).
  * Daily update of the fat stuff - sorry for downloaders!
  * Now I understand what "pspell support" really means...
  * What we need now is aspell-en, not ispell-dictionary - closes: #134334
  * I think most of spell checker problem has gone since spell checking is now
    done via pspell. if not please reopen - closes: #108980, #111586
  * If you want to check Espanol spelling, try aspell-es - closes: #123331
  * When I tested examples/Unicode1.abw.gz today, seems unrecognized UTF8
    characters are mapped to "o".  I think this is a sane behavior - closes: #63321
  * Now abiword says "Error importing file foobar.doc" in such cases,
    that's also a sane behavior - closes: #134052

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 17 Feb 2002 10:32:31 +0900

abiword (0.99.1+cvs.2002.02.16-1) unstable; urgency=low

  * New maintainer: Masayuki Hatta <mhatta@debian.org> - closes: #133016
  * Thank you aaronl, foka, Jan and Joy!
  * Switched to CVS snapshot.  That's (slightly) better.
  * abiword doesn't depend on expat anymore (libxml2 only).
  * Enabled Perl scripting support.
  * Disabled Bi-di support (now can be built, but still doesn't work).
  * /var/lib/defoma/abiword.d/dirs/zh-CW should be zh-TW, of course...
  * Added preliminary zh-HK support.
  * Fixed typo in abiword.defoma - closes: #133929, #134074, #134107
  * Fixed ttftool problem (which affect ttf-thryomanes, etc.) - closes: #133921
  * Fixed in the upstream - closes: #95305
  * Not reproducible, seems fixed in the upstream? - closes: #111587
  * Not reproducible, seems fixed in nautilus? - closes: #126874
  * Forgot to close - closes: #94566
  * Acknowledged NMU - closes: #129314, #133856, #122341, #127268, #128240, #129610, #131713, #93271, #113461, #114513, #119985, #121307, #130392, #130209, #133535

 -- Masayuki Hatta <mhatta@debian.org>  Fri, 15 Feb 2002 09:29:38 +0900

abiword (0.9.6.1-0.2) unstable; urgency=low

  * NMU.
  * Added Build-Depends: libltdl3-dev - closes: #133856
  * This package doesn't make a symlink anymore - closes: #93271
  * Copy and paste seems work now...if not please reopen - closes: #127268

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 14 Feb 2002 15:02:46 +0900

abiword (0.9.6.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream release. - closes: #130392, #130209
  * Seems wv package doesn't provide files for development, so uses supplied
    one for now.
  * Seems Perl scripting support and bi-directional support are broken
    and can not be built, so disabled for now.
  * Seems it doesn't depend on libstdc++3 anyway, even if Build-Conflicts is
    removed(fixed at libgtk1.2?).
  * Rewrote and cleaned up debian/rules.
  * Completed defoma support.
  * Enabled pspell support.
  * Enabled libjpeg support.
  * Enabled libwmf support.
  * No GNOME support yet.
  * Several manpages are missing.  Someone should write it.
  * (Almost) Lintian-free.
  * Assume these are fixed...if not please reopen - closes: #121307, #128240, #131713
  * Seems fixed - closes: #119985
  * Included ttftool and ttfadmin.sh - closes: #122341
  * Install mime entry - closes: #133535
  * This version of abiword can handle it - closes: #129610
  * "Recommends: ispell-dictionary" must have fixed it - closes: #113461
  * Get'em defomized! - closes: #114513

 -- Masayuki Hatta <mhatta@debian.org>  Wed, 13 Feb 2002 19:14:50 +0900

abiword (0.9.5-1.1) unstable; urgency=low

  * NMU
  * Add -ffunction-sections for hppa.  Closes: #129314.

 -- LaMont Jones <lamont@debian.org>  Sun, 27 Jan 2002 02:23:47 -0700

abiword (0.9.5-1) unstable; urgency=low

  * New upstream version

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 21 Nov 2001 14:59:03 -0800

abiword (0.9.4.1-6) unstable; urgency=low

  * Build-Conflicted on most architectures with libstdc++3 as a workaround
    for the libstd++3 dependencies.
    The real cause of the problem is GTK bug #118221. (Closes: #118705)
  * Correct path to help (Closes: #117844)

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 12 Nov 2001 22:45:46 -0800

abiword (0.9.4.1-5) unstable; urgency=high

  * Rebuild against the new expat, which UNEXPECTEDLY BROKE BINARY COMPATIBILITY

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 22 Oct 2001 16:24:05 -0700

abiword (0.9.4.1-4) unstable; urgency=low

  * Fix Chinese input (Closes: #113610)
  * Resize menu icon to appropriate dimensions (Closes: #110043)
  * Remove README symlink. It wasn't relevant. (Closes: #114560)

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue,  9 Oct 2001 23:04:36 -0700

abiword (0.9.4.1-3) unstable; urgency=low

  * Fix lintian complaints
  * Move help to /usr/share/doc/abiword
  * add +x bit to configure scripts before trying to run them

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu,  4 Oct 2001 08:12:39 -0700

abiword (0.9.4.1-2) unstable; urgency=low

  * Use autoconf-based build system. Should fix MIPS. (Closes: #108986)
  * Add better error output to wrapper script

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed,  3 Oct 2001 23:57:33 -0700

abiword (0.9.4.1-1) unstable; urgency=low

  * Semi-new upstream release. Upstream "botched" 0.9.4, and this replaces it.
    RTF export should be fixed.
  * HPPA support integrated upstream.

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon,  1 Oct 2001 23:13:14 -0700

abiword (0.9.4-2) unstable; urgency=medium

  * Use system expat, despite accidentally including a copy. Fixes a busted
    build in certain circumstances.

  * Know about the endianness of PA-RISC. This does not fix mips, which is
    a PITA.

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 25 Sep 2001 00:25:58 -0700

abiword (0.9.4-1) unstable; urgency=low

  * Newer upstream release
  * New maintainer
  * Bumped standards-version
  * gsfonts are used instead of included duplicates

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu, 13 Sep 2001 20:54:35 -0700

abiword (0.9.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.  (Closes: #107352)
  * Added Depends on xbase-clients.  (Closes: #100689)
  * Updated config.guess and config.sub (2001-08-02).  (Closes: #99805)
  * Included more example from abi/test/wp/.  (Closes: #87543)
  * For now, use own american.hash instead of that from iamerican package.
  * Use fonts that are already included in gsfonts package.
  * Modified debian/rules to use upstream's install.sh for the most part.
    Also used features from debhelper (>= 3).
  * Added /usr/share/AbiSuite/fonts/zh-{CN,TW}/fonts.dir as a quick fix.
    (Defoma is the future, but I don't have time nor the skill now.)
    The Debian JP and KR Teams may want to add {ja,ko}/fonts.dir too.  :-)

 -- Anthony Fok <foka@debian.org>  Fri, 10 Aug 2001 04:49:54 +0800

abiword (0.7.13-0.3) unstable; urgency=low
  * Non-maintainer upload.
  * Run libtoolize to get support for new architectures.  Closes: #103347

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

abiword (0.7.13-0.2) unstable; urgency=low
  * NMU
  * rm debian/files in clean target so it really can be autobuilt (Closes: #86729)
  * Point to standard Debian GPL file in copyright.
  * Switch back to expat, since now we can use the shared library version, and expat appears smaller and faster.

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 20 Feb 2001 12:50:44 -0800

abiword (0.7.13-0.1) unstable; urgency=low
  * NMU
  * New upstream version
  * Fix binary{-arch} targets in debian/rules so that autobuilders are not confused
  * Use libxml2 library instead of built-in expat sources
  * Determine version number from the changelog; don't hardcode it in the rules file

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 18 Feb 2001 15:41:53 -0800

abiword (0.7.12-0.1) unstable; urgency=low
  * NMU to bring back into testing
  * New upstream version (Closes: #80211, #83133, #74882, #61581, #85444, #85569)
  * Moving back into one package. Sorry about this, folks. (Closes: #79202)
  * Add Build-dependencies (Closes: #70060)
  * Fix typos (Closes: #81239)
  * Reintroduce menu item (Closes: #79055)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 11 Feb 2001 19:54:06 -0800

abiword (0.7.8-2) unstable; urgency=low

  * added icon to menu entry (closes #58663)
  * added a patch for the arm (closes #59096, forwarded)
  * added a patch for "spaces in filenames" (close #57382)
  * updated the man page

 -- Darren Benham <gecko@debian.org>  Wed, 22 Mar 2000 22:15:26 -0800

abiword (0.7.8-1) unstable; urgency=low

  * New upstream version
  * Upstream changes: (no upstream changelog)
    - User Interface
      + True WYSIWYG support (BruceP@wn.com.au)
      + No more character dirt (BruceP@wn.com.au)
      + Overline (msevior@mccubbin.ph.unimelb.edu.au)
      + Fixed minor display glitches
      + Insert Date and Time dialog (megabyte@salesexplosion.com)
      + Page-level navigation
    - Localizations
      + Better support for non-English content (henrik@lansen.se)
      + Swedish (henrik@lansen.se)
      + Indonesian (tim@proximity.com.au, made@nakula.rvs.uni-bielefeld.de)
      + Updates for Danish, Finnish, French, Italian, Norwegian, and Spanish
    - File Formats
      + LaTeX exporter (cuenca@ie2.u-psud.fr)
      + Various Word import improvements
      + Fix for RTF import POW (malcolm@mpeacock.demon.co.uk)
      + Minor .abw file format change
    - Other
      + Error propagation to fix (sytobinh@uchicago.edu)
      + Mouse wheel support for Windows (BruceP@wn.com.au)
      + Unix no longer requires libstdc++
      + Misc PostScript fixes (bob@sbst.com)
  * Verified call path for menu entry (closes #50506)
  * Upstream changes: (no upstream changelog)
    + Speed up of spelling checks
    + Profiles have been fixed
    + Subscript and superscript.  Luke Jordan <ljordan@mweb.co.za> added
      support for subscripts and superscripts.
    + View ruler.  Stephen Hack <shack@uiuc.edu> implemented this menu item
      so that you can hide or show the ruler on a per-window basis.
    + Compressed AbiWord files.  The AbiWord file format (*.abw) was
      designed from the get-go to be a highly-readable form of XML.
      However, for those of you who care more about bloat than legibility,
      Richard Jefts <babs@cs.jhu.edu> added import/export logic for a
      gzip-compressed variant (*.zabw).
    + The following translations have been added or updated:
      # Catalan -- Jordi Mas <jmas@softcatala.org>
      # Czech -- Zbynek Miksa <xmiksa@informatics.muni.cz>
      # Danish -- Birger Langkjer <birger.langkjer@image.dk>
      # Finnish -- Jarmo Karvonen <karvonen@dawn.joensuu.fi>
      # Portuguese -- Rui Silva <rms@ssi.aaum.pt>
    + Word import improvements.
    + Options dialog started.

 -- Darren Benham <gecko@debian.org>  Wed, 22 Mar 2000 09:36:26 -0800

abiword (0.7.6-2) unstable; urgency=low

  * recompiled against the new libpng

 -- Darren Benham <gecko@debian.org>  Wed, 10 Nov 1999 08:13:26 -0700

abiword (0.7.6-1) unstable; urgency=low

  * New upstream version
  * Added a recommends for ispell-dictionary (closes: #42218)
  * Upstream changes: (no upstream changelog)
    + Spell checking improvements.
      # a spiffy Spelling dialog with the usual Ignore / Add / Change
        functionality, including suggestions and a custom dictionary.
      # a context menu to remove those pesky red squiggles.
    + Zoom and Paragraph dialogs.
    + Full paragraph justification
    + Clipboard code has been streamlined to be much more efficient.
    + Middle-mouse X selections should Just Work now
    + Word import improvements

 -- Darren Benham <gecko@debian.org>  Tue, 02 Nov 1999 15:41:51 -0700

abiword (0.7.5-1) unstable; urgency=low

  * new upstream version (closes: #42778)
    (closes: #44926)
  * changed menu entry to abiword (closes: #42875)

 -- Darren Benham <gecko@debian.org>  Thu, 10 Aug 1999 08:13:26 -0700

abiword (0.7.4-2) unstable; urgency=low

  * changed zip (I hope) to use minizip
  * added Roman Hodek's changes to allow debuild to work

 -- Darren Benham <gecko@debian.org>  Thu, 10 Aug 1999 08:13:26 -0700

abiword (0.7.4-1) unstable; urgency=low

  * New Upstream Version
  * Upstream changes: (no upstream changelog)
    + Snazzy new importer for Word 97, Word 95, and Word 6!
    + RTF improvements
    + Clipboard now honors formatting
    + Italian localization
    + Various bug fixes (closes #41980)
  * Added a recommends on ispell (closes #42218)
  * Fixed the doc direcotry (closes #42044)

 -- Darren Benham <gecko@debian.org>  Thu,  5 Aug 1999 20:32:26 -0700

abiword (0.7.3-1) unstable; urgency=low

  * New Upstream Version
  * Upstream changes: (no upstream changelog)
    + French localization updates (duperron@mail.dotcom.fr)
    + German localization updates (cterboven@gmx.net)
    + Finnish localization updates (jarmo@dawn.joensuu.fi)
    + Now works on Alpha/NT (ayoung@teleport.com)
    + Various bug fixes
    + Fixed annoying suffix bug number 464
    + Spell dictionaries are now endian-specific
  * New build system.  Fonts included in deb at request of upstream authors

 -- Darren Benham <gecko@debian.org>  Fri, 22 Jul 1999 10:49:00 -0800

abiword (0.5.5-1) unstable; urgency=low

  * New Upstream Version
  * Upstream changes: (no upstream changelog)
    + Improvements to localization support
    + New dialog: Insert Break
    + Several bug fixes in the editing portions of the code
    + Reworked command line parsing
    + Finnish localization (jarmo@dawn.joensuu.fi)
    + Patch to fix ispell hashfiles (gecko@benham.net)
    + More vi keybindings.  (stepp@mithril.res.cmu.edu)

 -- Darren Benham <gecko@debian.org>  Sun,  2 May 1999 23:20:03 -0700

abiword (0.5.3-3) unstable; urgency=low

  * Gotten rid of the need to use special dictionary...abiword.hash
  * Removed requirement of Fonts directory to build (for other archs)
  * change default spellchecker from american.hash to default.hash

 -- Darren Benham <gecko@debian.org>  Fri,  9 Apr 1999 15:52:23 -0700

abiword (0.5.3-2) unstable; urgency=low

  * fixed copyright path in copyright file (closes: #35622)

 -- Darren Benham <gecko@debian.org>  Fri,  9 Apr 1999 10:36:50 -0700

abiword (0.5.3-1) unstable; urgency=low

  * New Upstream Version
  * Upstream changes: (no upstream changelog)
    + Better support for GTK themes
    + Hardcoded Style sets
    + Very basic support for headers and footers. (Not yet editable)
    + Simple support for time, page number, and page count fields
      including page numbers
    + Improvements to GTK file dialog, font dialog, and popup menus
    + vi keybindings! :-) (rwerner@lx1.microbsys.com)
    + Start of a status bar


 -- Darren Benham <gecko@debian.org>  Thu,  8 Apr 1999 22:24:48 -0700

abiword (0.5.2-5) unstable; urgency=low

  * Removed Build dependency on uninstalled source package
  * Turned off debug flag to prevent some security issues

 -- Darren Benh   <gecko@debian.org>  Mon, 29 Mar 1999 18:32:40 -0800

abiword (0.5.2-4) unstable; urgency=low

  * Removed kernel version and arch -isms

 -- Darren Benham <gecko@debian.org>  Sun, 28 Mar 1999 17:47:18 -0800

abiword (0.5.2-3) unstable; urgency=low

  * What happened to the depends for abi-fonts???

 -- Darren Benham <gecko@debian.org>  Thu, 25 Mar 1999 20:46:43 -0800

abiword (0.5.2-2) unstable; urgency=low

  * Compiling for gtk1.2 at request of the bleeding edgers
    we're still at glibc2.0, though
  * Added a custom dictionary for spell checking
    To use this, you have to delete ~/.abiword or change the two
    entries to point to /usr/share/abiword/abiword.hash

 -- Darren Benham <gecko@debian.org>  Wed, 24 Mar 1999 23:31:10 -0800

abiword (0.5.2-1) unstable; urgency=low

  * New upstream version
  * Added two documents:
        - one describes abword and fonts and how to add fonts
        - one describes the format of abword documents (saved in abiword
          format)
  * Upstream changes: (no upstream changelog)
        - Complete set of menu items (stubs only)
        - Improvements to the Word97 importer
        - XP mechanism for user options
        - Improvements to Unix font chooser dialog
        - Emacs-style key bindings (optional)
        - Zoom
        - New dialog: More Windows
        - New dialog: About
        - More cleanup of Unix font handling
        - MRU menu
        - Context menus

 -- Darren Benham <gecko@debian.org>  Sat, 20 Mar 1999 16:40:36 -0800

abiword (0.5.1-1) unstable; urgency=low

  * Initial Release.  0.5.1 came out before 0.5.0 was uploaded.

 -- Darren Benham <gecko@debian.org>  Wed, 17 Mar 1999 14:10:33 -0800

abiword (0.5.0-1) unstable; urgency=low

  * Initial Release (canceled, see above).

 -- Darren Benham <gecko@debian.org>  Tue, 16 Mar 1999 12:59:22 -0800
